Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.usermodel
Class HSSFPictureData

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFPictureData

All Implemented Interfaces:
  PictureData

    public class HSSFPictureData

extends java.lang.Object
implements PictureData

Represents binary data stored in the file. Eg. A GIF, JPEG etc...

Author:
  Daniel Noll

Field Summary
`static short` | `FORMAT_MASK`
`static short` | `MSOBI_DIB`
`static short` | `MSOBI_EMF`
`static short` | `MSOBI_JPEG`
`static short` | `MSOBI_PICT`
`static short` | `MSOBI_PNG`
`static short` | `MSOBI_WMF`

Constructor Summary
`HSSFPictureData(EscherBlipRecord blip)` Constructs a picture object.

Method Summary
`byte[]` | `getData()` Gets the picture data.
`int` | `getFormat()`
`java.lang.String` | `getMimeType()` Returns the mime type for the image
`java.lang.String` | `suggestFileExtension()` Suggests a file extension for this image.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MSOBI_WMF

    public static final short MSOBI_WMF

See Also:
  Constant Field Values

### MSOBI_EMF

    public static final short MSOBI_EMF

See Also:
  Constant Field Values

### MSOBI_PICT

    public static final short MSOBI_PICT

See Also:
  Constant Field Values

### MSOBI_PNG

    public static final short MSOBI_PNG

See Also:
  Constant Field Values

### MSOBI_JPEG

    public static final short MSOBI_JPEG

See Also:
  Constant Field Values

### MSOBI_DIB

    public static final short MSOBI_DIB

See Also:
  Constant Field Values

### FORMAT_MASK

    public static final short FORMAT_MASK

See Also:
  Constant Field Values

Constructor Detail

### HSSFPictureData

    public HSSFPictureData(EscherBlipRecord blip)

  Constructs a picture object.

  Parameters:
    `blip` - the underlying blip record containing the bitmap data.

Method Detail

### getData

    public byte[] getData()

  Description copied from interface: `PictureData`
  Gets the picture data.

  Specified by:
    `getData` in interface `PictureData`
  Returns:
    the picture data.

### getFormat

    public int getFormat()

  Returns:
    format of the picture.
  See Also:
    `Workbook.PICTURE_TYPE_DIB`, `Workbook.PICTURE_TYPE_WMF`, `Workbook.PICTURE_TYPE_EMF`, `Workbook.PICTURE_TYPE_PNG`, `Workbook.PICTURE_TYPE_JPEG`, `Workbook.PICTURE_TYPE_PICT`

### suggestFileExtension

    public java.lang.String suggestFileExtension()

  Description copied from interface: `PictureData`
  Suggests a file extension for this image.

  Specified by:
    `suggestFileExtension` in interface `PictureData`
  Returns:
    'wmf', 'jpeg' etc depending on the format. never `null`
  See Also:
    `getFormat()`

### getMimeType

    public java.lang.String getMimeType()

  Returns the mime type for the image

  Specified by:
    `getMimeType` in interface `PictureData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.